curl --request GET \
--url https://pro-api.coingecko.com/api/v3/public_treasury/{entity_id} \
--header 'x-cg-pro-api-key: <api-key>'{
"name": "Strategy",
"id": "strategy",
"type": "company",
"symbol": "MSTR.US",
"country": "US",
"website_url": "https://www.strategy.com/",
"twitter_screen_name": "Strategy",
"total_treasury_value_usd": 64383151578.86817,
"unrealized_pnl": 513095879.8681717,
"m_nav": 1.03,
"total_asset_value_per_share_usd": 179.74079167746558,
"holdings": [
{
"coin_id": "bitcoin",
"amount": 843738,
"percentage_of_total_supply": 4.018,
"amount_per_share": 0.002355494137353434,
"entity_value_usd_percentage": 100,
"current_value_usd": 64383151578.86817,
"total_entry_value_usd": 63870055699,
"average_entry_value_usd": 75698.9203982753,
"unrealized_pnl": 513095879.8681717,
"holding_amount_change": {
"7d": 0,
"14d": 24869,
"30d": 28677,
"90d": 126016,
"1y": 263488,
"ytd": 171238
},
"holding_change_percentage": {
"7d": 0,
"14d": 3.037,
"30d": 3.518,
"90d": 17.558,
"1y": 45.409,
"ytd": 25.463
}
}
]
}Crypto Treasury Holdings by Entity ID
To query public companies’ and governments’ cryptocurrency holdings by entity ID
curl --request GET \
--url https://pro-api.coingecko.com/api/v3/public_treasury/{entity_id} \
--header 'x-cg-pro-api-key: <api-key>'{
"name": "Strategy",
"id": "strategy",
"type": "company",
"symbol": "MSTR.US",
"country": "US",
"website_url": "https://www.strategy.com/",
"twitter_screen_name": "Strategy",
"total_treasury_value_usd": 64383151578.86817,
"unrealized_pnl": 513095879.8681717,
"m_nav": 1.03,
"total_asset_value_per_share_usd": 179.74079167746558,
"holdings": [
{
"coin_id": "bitcoin",
"amount": 843738,
"percentage_of_total_supply": 4.018,
"amount_per_share": 0.002355494137353434,
"entity_value_usd_percentage": 100,
"current_value_usd": 64383151578.86817,
"total_entry_value_usd": 63870055699,
"average_entry_value_usd": 75698.9203982753,
"unrealized_pnl": 513095879.8681717,
"holding_amount_change": {
"7d": 0,
"14d": 24869,
"30d": 28677,
"90d": 126016,
"1y": 263488,
"ytd": 171238
},
"holding_change_percentage": {
"7d": 0,
"14d": 3.037,
"30d": 3.518,
"90d": 17.558,
"1y": 45.409,
"ytd": 25.463
}
}
]
}SDK Examples
const response = await client.publicTreasury.getEntityID('strategy');
console.log(JSON.stringify(response, null, 2));
response = client.public_treasury.get_entity_id("strategy")
print(response.model_dump_json(indent=2))
Authorizations
Learn how to set up your API key
Path Parameters
Public company or government entity ID.
*refers to /entities/list.
Query Parameters
Include holding amount change for specified timeframes, comma-separated if querying more than 1 timeframe.
Valid values: 7d, 14d, 30d, 90d, 1y, ytd
Include holding change percentage for specified timeframes, comma-separated if querying more than 1 timeframe.
Valid values: 7d, 14d, 30d, 90d, 1y, ytd
Response
Public company or government crypto treasury holdings data
Entity name
Entity ID
Entity type: company or government
Stock market ticker symbol
Country code
Official website URL
Official Twitter handle
Total current value of all holdings in USD
Unrealized profit and loss (current value minus total entry value)
Market to net asset value ratio
Total asset value per share in USD
List of cryptocurrency assets held by the entity
Hide child attributes
Hide child attributes
Coin ID
Amount of cryptocurrency held
Percentage of total crypto supply
Amount of cryptocurrency per share
Percentage of entity's total treasury value
Current value of holdings in USD
Total entry cost in USD
Average entry cost per unit in USD
Unrealized profit and loss for this holding
Holding amount changes over different timeframes
Holding change percentages over different timeframes
Was this page helpful?

